.app-timepicker-field-wrapper {
  margin-right: -10px;
  margin-left: -10px;
}

.app-timepicker-field-wrapper .dx-dropdowneditor-input-wrapper,
.app-timepicker-field-wrapper .dx-texteditor-input {
  min-height: 24px !important;
  height: 24px !important;
}

.app-timepicker-field-wrapper .dx-datebox {
  border: none !important;
  /*position: absolute;*/
  /*top: 0;*/
  /*left: 0;*/
  /*right: 0;*/
  background: transparent;
  z-index: 2;
}

/*.app-tp-icon {*/
/*  position: absolute;*/
/*  right: -8px;*/
/*  background: none;*/
/*  border: none;*/
/*  z-index: 1;*/
/*}*/

.app-timepicker-field-wrapper .dx-invalid.dx-texteditor.dx-editor-filled.dx-show-invalid-badge .dx-texteditor-input-container::after,
.app-timepicker-field-wrapper .dx-invalid.dx-texteditor.dx-editor-outlined.dx-show-invalid-badge .dx-texteditor-input-container::after,
.app-timepicker-field-wrapper .dx-invalid.dx-texteditor.dx-editor-underlined.dx-show-invalid-badge .dx-texteditor-input-container::after{
  display: none;
}

.app-timepicker-field-wrapper .dx-state-focus,
.app-timepicker-field-wrapper .dx-state-active {
  background: none !important;
  opacity: 1 !important;
}

.app-timepicker-field-wrapper .dx-invalid-message {
  display: none;
}

/*.app-timepicker-field-wrapper .mat-form-field-wrapper {*/
/*  padding: 0 !important;*/
/*}*/
